import { Component, Input } from '@angular/core';

type AssetBlockValueType = 'video' | 'image' | 'embed' | 'figma';

@Component({
    selector: 'asset',
    templateUrl: './asset.component.html',
})
export class AssetComponent {
    @Input()
    value!: any;

    @Input()    
    type!: AssetBlockValueType;
}
