import { Component, Input } from '@angular/core';
import { Block, BlockType } from 'src/app/types/block.type';

@Component({
    selector: 'block',
    templateUrl: './block.component.html',
})
export class BlockComponent {
    @Input()
    block!: Block;

    @Input()
    blockMap!: any;

    @Input()
    fullPage?: boolean;

    @Input()
    hideHeader?: boolean;

    BlockType = BlockType;
}
